{% block swag_guided_shopping_presentation_detail_appointments_send_modal %}
    <sw-modal
        @modal-close="onCloseSendAppointmentModal"
        :title="$tc('swag-guided-shopping-appointment.base.attendees.sendAppointment')">
        {% block swag_guided_shopping_presentation_detail_appointments_cancel_modal_confirm_delete_text %}
            <sw-container columns="1fr" gap="24px">
                <b>{{ $t('swag-guided-shopping-appointment.base.attendees.sendAppointmentMessage') }}</b>
                <sw-radio-field
                    v-model:value="isSendMailAll"
                    :label="$tc('swag-guided-shopping-appointment.base.attendees.sendEmailTo')"
                    identification="sendEmailTo"
                    :options="sendMailOptions"
                />
            </sw-container>
        {% endblock %}

        {% block swag_guided_shopping_presentation_detail_appointments_cancel_modal_footer %}
            <template #modal-footer>
                {% block swag_guided_shopping_presentation_detail_appointments_cancel_modal_cancel %}
                    <sw-button @click="onCloseSendAppointmentModal"
                                size="small">
                        {{ $tc('swag-guided-shopping-presentation.detailAppointments.buttonCancel') }}
                    </sw-button>
                {% endblock %}

                {% block swag_guided_shopping_presentation_detail_appointments_cancel_modal_confirm %}
                    <sw-button
                        variant="primary"
                        size="small"
                        @click="onConfirmSendAppointment"
                    >
                        {{ $tc('swag-guided-shopping-presentation.detailAppointments.buttonSend') }}
                    </sw-button>
                {% endblock %}
            </template>
        {% endblock %}
    </sw-modal>
{% endblock %}
